Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.rmi.config
Class RmiNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
              org.mule.transport.rmi.config.RmiNamespaceHandler

All Implemented Interfaces:
  org.springframework.beans.factory.xml.NamespaceHandler

    public class RmiNamespaceHandler

extends AbstractMuleNamespaceHandler

Registers a Bean Definition Parser for handling `<rmi:connector>` elements.

Field Summary
`static String[]` | `ADDRESS`
`static String` | `OBJECT`
`static String[]` | `PROPERTIES`

Fields inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`GLOBAL_ENDPOINT, INBOUND_ENDPOINT, OUTBOUND_ENDPOINT`

Constructor Summary
`RmiNamespaceHandler()`

Method Summary
`void` | `init()`

Methods inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`getGlobalEndpointBuilderBeanClass, getInboundEndpointFactoryBeanClass, getOutboundEndpointFactoryBeanClass, registerConnectorDefinitionParser, registerConnectorDefinitionParser, registerIgnoredElement, registerMetaTransportEndpoints, registerMuleBeanDefinitionParser, registerStandardTransportEndpoints`

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, findDecoratorForNode, findParserForElement, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT

    public static final String OBJECT

See Also:
  Constant Field Values

### PROPERTIES

    public static final String[] PROPERTIES

### ADDRESS

    public static final String[] ADDRESS

Constructor Detail

### RmiNamespaceHandler

    public RmiNamespaceHandler()

Method Detail

### init

    public void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.